Evaluators
List evaluators
GET
/
v1
/
evaluators
List evaluators
curl --request GET \
--url https://api.veri.studio/v1/evaluators \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/evaluators"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/evaluators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"latest_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"version": {
"object": "<string>",
"evaluator_id": "<string>",
"version": 123,
"method": "<string>",
"scope": "<string>",
"output_type": "<string>",
"output_config": "<unknown>",
"method_config": "<unknown>",
"bindings": "<unknown>",
"requires_reference": true,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
},
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"versions": [
{
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
}
]
}
]
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Query Parameters
Include archived evaluators (default false).
List evaluators
curl --request GET \
--url https://api.veri.studio/v1/evaluators \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/evaluators"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/evaluators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"latest_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"version": {
"object": "<string>",
"evaluator_id": "<string>",
"version": 123,
"method": "<string>",
"scope": "<string>",
"output_type": "<string>",
"output_config": "<unknown>",
"method_config": "<unknown>",
"bindings": "<unknown>",
"requires_reference": true,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
},
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"versions": [
{
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
}
]
}
]
}
